# Loom Forge | Customisation Files

<div>
<!-- Version Badge -->
<img src="https://img.shields.io/badge/Version-1.1.0-blue" alt="Version 1.1.0">
<!-- License Badge -->
<img src="https://img.shields.io/badge/License-GPL--3.0--or--later-34ad9b" alt="License GPL--3.0--or--later">
</div>

This repo contains the customisation files for this website (Loom Forge). Loom Forge uses Forgejo, an open-source, self-hosted Git hosting solution.

# Environment Setup

## Create Local Forge Instance

- Create a new folder anywhere on your system, e.g. `C:/Forge`
- Enter your Forge directory: `cd /c/Forge`
- Create a `docker-compose.yml` file: `touch docker-compose.yml`
- Paste in the contents of the `yaml` file shown below
- Build your containers: `docker compose up -d`
- Assuming you are using the default settings your Forge instance should be available at `http://localhost:3000`

```yaml
services:
  forgejo:
    image: codeberg.org/forgejo/forgejo:10
    container_name: forgejo
    ports:
      - "3000:3000"
    volumes:
      - ./data:/data
      - ./custom:/data/gitea/custom
    environment:
      - USER_UID=1000
      - USER_GID=1000
      - FORGEJO_CUSTOM=/data/gitea/custom
```

## Clone Repository

- Still inside your Forge directory, clone this repository as `custom` e.g. `git clone https://forge.winningsoftware.co.uk/LoomLabs/loom.forge.git custom`
- Navigate to repository: `cd custom`
- Install assets: `npm install && npm run dev`
- Restart containers to see changes: `docker restart forgejo`